<?php

class WactExamplesTagsWrapMoreTestCase extends Wact_Test_Case_Web {

    function testExists() {
        $this->assertTrue($this->get($this->getTestServerUrl('/acceptance/template/tags/core/wrap_more.php')));
        $this->assertNormalPage();
        $this->assertTitle('More on Wrapping');
    }

    function testRuntimeModifications() {
        $this->assertTrue($this->get($this->getTestServerUrl('/acceptance/template/tags/core/wrap_more.php')));
        $this->assertNormalPage();
        $this->assertWantedLiteral('<TABLE WIDTH="50%" ALIGN="CENTER" BORDER="10" bordercolor="red">');
        $this->assertWantedLiteral('<TABLE WIDTH="50%" ALIGN="CENTER" BORDER="10" bordercolor="blue">');
    }
}
?>